Index: channels/chan_iax2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax2.c,v
retrieving revision 1.133
diff -u -r1.133 chan_iax2.c
--- channels/chan_iax2.c	28 Apr 2004 04:23:14 -0000	1.133
+++ channels/chan_iax2.c	28 Apr 2004 17:13:38 -0000
@@ -1901,7 +1901,7 @@
 		MYSQL_ROW rowval;
 		name = alloca(strlen(user) * 2 + 1);
 		mysql_real_escape_string(mysql, name, user, strlen(user));
-		snprintf(query, sizeof(query), "SELECT name, secret, context, ipaddr, port, regseconds FROM iaxfriends WHERE name=\"%s\"", name);
+		snprintf(query, sizeof(query), "SELECT name, secret, context, ipaddr, port, regseconds, accountcode FROM iaxfriends WHERE name=\"%s\"", name);
 		ast_mutex_lock(&mysqllock);
 		mysql_query(mysql, query);
 		if ((result = mysql_store_result(mysql))) {
@@ -1915,6 +1915,8 @@
 							strncpy(p->secret, rowval[x], sizeof(p->secret));
 						} else if (!strcasecmp(fields[x].name, "context")) {
 							strncpy(p->contexts->context, rowval[x], sizeof(p->contexts->context) - 1);
+						} else if (!strcasecmp(fields[x].name, "accountcode")) {
+							strncpy(p->accountcode, rowval[x], sizeof(p->accountcode));
 						}
 					}
 				}
Index: contrib/scripts/iax-friends.sql
===================================================================
RCS file: /usr/cvsroot/asterisk/contrib/scripts/iax-friends.sql,v
retrieving revision 1.1
diff -u -r1.1 iax-friends.sql
--- contrib/scripts/iax-friends.sql	26 Jan 2004 05:54:40 -0000	1.1
+++ contrib/scripts/iax-friends.sql	28 Apr 2004 17:14:16 -0000
@@ -9,6 +9,7 @@
   `ipaddr` varchar(20) NOT NULL default '',
   `port` int(6) NOT NULL default '0',
   `regseconds` int(11) NOT NULL default '0',
+  `accountcode` varchar(20) NOT NULL default '',
   PRIMARY KEY  (`name`)
 ) TYPE=MyISAM;
 
